Bug 7235 - (int-155756) g_mozilla_parse_env_proxy limits proxy server names to about 20 characters [http_proxy]
(int-155756)
: g_mozilla_parse_env_proxy limits proxy server names to about 20 characters [h...
Status: RESOLVED FIXED
Product: Browser
MicroB engine
: 5.0/(3.2010.02-8)
: All Maemo
: Low normal with 2 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: microb-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-22 17:37 UTC by bigbrovar
Modified: 2010-03-15 20:51 UTC (History)
4 users (show)

See Also:


Attachments
out put my env (2.04 KB, text/plain)
2009-12-23 00:11 UTC, bigbrovar
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description bigbrovar (reporter) 2009-12-22 17:37:02 UTC
SOFTWARE VERSION: 1.2009.42-11.002
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. create a wireless profile and add my proxy settings.
2. add export http_proxy=myproxy:portnumber to /etc/profile 
3. launch browser 


EXPECTED OUTCOME: When I start the browser, It should connect to the internet
and I should be able to surf the web am using browser on 1.2009.42-11 fremantle

ACTUAL OUTCOME: when I start the browser and connect to the web, It times-out
after after attempting to load the page for a long time.

REPRODUCIBILITY: always
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED: non

OTHER COMMENTS: I don't know if microB was designed to act this way, but I
don't get this behaviour from other Mozilla based browser on Linux (KDE and
gnome) 

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US) AppleWebKit/532.5
(KHTML, like Gecko) Chrome/4.0.249.30 Safari/532.5
Comment 1 timeless 2009-12-22 18:22:24 UTC
sorry, your steps to reproduce are woefully incomplete.

0. do you need a proxy?
1. are the proxy settings you're adding to your wireless settings the same as
the values you're trying to use in 2?

while you're playing around with things, could you try installing fennec and
seeing if you get the same behavior?
Comment 2 bigbrovar (reporter) 2009-12-22 18:49:34 UTC
(In reply to comment #1)
> sorry, your steps to reproduce are woefully incomplete.
> 
Thanks for the pointers I am very new to the bug reporting business but I will
furnish all the information you requested as much as I can. 

> 0. do you need a proxy?

Yes I need a proxy to connect to internet in my school, It is a squid proxy. I
would need to add my proxy settings to my wireless profile, after which I would
then be able to access the internet using microB. 

> 1. are the proxy settings you're adding to your wireless settings the same as
> the values you're trying to use in 2?
Yes the values are exactly the same (although using the connection setting GUI
I just add my proxy address thus: HTTP proxy = mynetworkproxyaddress
                                Port Number= 3128

and the value I added to /etc/profile is thus: export
http_proxy=http://mynetworkproxyaddress:3128
I am able to use things like irssi and other Internet aware cli applications
and every other internet aware application works beside the browser MicroB
which times out

> 
> while you're playing around with things, could you try installing fennec and
> seeing if you get the same behavior?
Just installed and tested Fenec and it works fine. Connected to the internet
but  MicroB times out. It will continue to time out till I comment out export
http_proxy

Please let me know if this information is enough am always ready to offer more
to the best of my knowledge thanks
Comment 3 timeless 2009-12-22 22:48:29 UTC
Ok. The relevant code is:

http://mxr.maemo.org/fremantle/ident?i=G_MOZILLA_HTTP_PROXY

The code that "parses" your proxy environment variable is here:

http://mxr.maemo.org/fremantle/source/microb-eal/src/gmozillaconnectivity.c#535

Could you please provide your entire environment variable, if pieces are
private, please replace each letter, letter for letter with the letters 'a',
'b', 'c', ...

For the numbers, if they are actually truly secret, please replace them digit
for digit with '1', '2', '3', ...

I suspect based on reading the code that if you replace the hostname with an ip
address, you might find that it will "work".

To see what microb actually thinks your proxy is, please load:

about:config

enter "network.proxy" (without the quotes) into the search field.

Please provide the values that you see there here as well. For this portion,
please use the letters that would have corresponded to the letters you
disclosed before.

So if your env var was "proxy.com:8080" and the preferences are "roxy.co" and
"880", you should write:
abcde.fgh:1234 anbd bcde.fg:134

I'm hoping the corruption won't be quite that bad, however, well, having read
the code, i'm not quite that hopeful.
Comment 4 bigbrovar (reporter) 2009-12-23 00:11:04 UTC
Created an attachment (id=1828) [details]
out put my env
Comment 5 bigbrovar (reporter) 2009-12-23 00:21:18 UTC
(In reply to comment #3)
> Ok. The relevant code is:
> 
> http://mxr.maemo.org/fremantle/ident?i=G_MOZILLA_HTTP_PROXY
> 
> The code that "parses" your proxy environment variable is here:
> 
> http://mxr.maemo.org/fremantle/source/microb-eal/src/gmozillaconnectivity.c#535
> 
> Could you please provide your entire environment variable, if pieces are
> private, please replace each letter, letter for letter with the letters 'a',
> 'b', 'c', ...
> 
> For the numbers, if they are actually truly secret, please replace them digit
> for digit with '1', '2', '3', ...

see attached 

> 
> I suspect based on reading the code that if you replace the hostname with an ip
> address, you might find that it will "work".
Thank you very much mate, changing the export http_proxy from proxy hostname to
ip_address worked indeed. I can now connect to the internet even after
exporting my proxy settings to /etc/profile 

> 
> To see what microb actually thinks your proxy is, please load:
> 
> about:config
> 
> enter "network.proxy" (without the quotes) into the search field.
> 
> Please provide the values that you see there here as well. For this portion,
> please use the letters that would have corresponded to the letters you
> disclosed before.
> 
> So if your env var was "proxy.com:8080" and the preferences are "roxy.co" and
> "880", you should write:
> abcde.fgh:1234 anbd bcde.fg:134
Is this still necessary? changing my export http_proxy in /etc/profile from
hostname to ip address fixes the problem and I was able to connect to the
internet fine. 


> 
> I'm hoping the corruption won't be quite that bad, however, well, having read
> the code, i'm not quite that hopeful. 
> 

I really appreciate you helping me on this mate. words can't convey my deep
gratitude. Is this a bug? feel free to let me know if you need further
information concerning this. am always ready to help out :)
Comment 6 timeless 2009-12-23 00:42:08 UTC
oh, it's definitely a bug. thanks for the report. i'll fix up the description
after dinner.
Comment 7 bigbrovar (reporter) 2009-12-23 00:46:12 UTC
(In reply to comment #6)
> oh, it's definitely a bug. thanks for the report. i'll fix up the description
> after dinner.
> 

Ok please let me know if you need further information
Comment 8 Andre Klapper maemo.org 2010-02-04 21:53:12 UTC
This is still the same problem in version 2.2009.51-1 I assume?
Comment 9 bigbrovar (reporter) 2010-02-04 22:21:51 UTC
(In reply to comment #8)
> This is still the same problem in version 2.2009.51-1 I assume?
> 

unfortunately the problem persist in 2.2009.51-1
Comment 10 Andre Klapper maemo.org 2010-02-24 18:01:27 UTC
This has been fixed in package
microb-eal 2.9.5-1.14+0m5
which is part of the internal build version
10.2010.08-5
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 11 bigbrovar (reporter) 2010-02-24 18:12:12 UTC
good to see that this bug has been fixed. although i am aware that i will not
be getting the update anytime soon. it helps to know that someone outthere is
listening. thanks guys for the great job
Comment 12 Andre Klapper maemo.org 2010-03-15 20:51:29 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).